Uses of Interface
io.helidon.common.uri.UriQuery
Packages that use UriQuery
Package
Description
HTTP APIs and implementations usable by both server and client side of the HTTP story.
URI utilities.
WebClient APIs shared by all types of clients.
WebServer HTTP specific APIs.
A reactive client for rest calls.
Reactive web server API.
Security
-
Uses of UriQuery in io.helidon.common.http
Methods in io.helidon.common.http that return UriQueryMethods in io.helidon.common.http with parameters of type UriQueryModifier and TypeMethodDescriptionstatic HttpPrologueHttpPrologue.create(String rawProtocol, String protocol, String protocolVersion, Http.Method httpMethod, UriPath uriPath, UriQuery uriQuery, UriFragment uriFragment) Create a new prologue with decoded values.RequestedUriDiscoveryContext.uriInfo(String remoteAddress, String localAddress, String requestPath, ServerRequestHeaders headers, UriQuery query, boolean isSecure) Creates aUriInfoobject for a request based on the discovery settings in theRequestedUriDiscoveryContextand the specified request-related information. -
Uses of UriQuery in io.helidon.common.uri
Subinterfaces of UriQuery in io.helidon.common.uriMethods in io.helidon.common.uri that return UriQueryModifier and TypeMethodDescriptionstatic UriQueryCreate a new HTTP query from the query string.static UriQueryCreate URI query from a URI instance.static UriQueryUriQuery.empty()Create an empty HTTP query.Methods in io.helidon.common.uri that return types with arguments of type UriQueryModifier and TypeMethodDescriptionUriInfo.query()Returns the value of thequeryrecord component.Constructor parameters in io.helidon.common.uri with type arguments of type UriQuery -
Uses of UriQuery in io.helidon.nima.webclient
Methods in io.helidon.nima.webclient with parameters of type UriQueryModifier and TypeMethodDescriptionUriHelper.pathWithQuery(UriQuery query) Encoded path with query. -
Uses of UriQuery in io.helidon.nima.webserver.http
Methods in io.helidon.nima.webserver.http that return UriQueryMethods in io.helidon.nima.webserver.http with parameters of type UriQuery -
Uses of UriQuery in io.helidon.reactive.webclient
Methods in io.helidon.reactive.webclient that return UriQueryModifier and TypeMethodDescriptionWebClientRequestBuilder.ClientRequest.queryParams()Returns query parameters.Methods in io.helidon.reactive.webclient with parameters of type UriQueryModifier and TypeMethodDescriptionWebClientRequestBuilder.queryParams(UriQuery queryParams) Configure query parameters. -
Uses of UriQuery in io.helidon.reactive.webserver
Methods in io.helidon.reactive.webserver that return UriQuery -
Uses of UriQuery in io.helidon.security
Methods in io.helidon.security that return UriQueryModifier and TypeMethodDescriptionSecurityEnvironment.queryParams()Query parameters obtained from the request.Methods in io.helidon.security with parameters of type UriQueryModifier and TypeMethodDescriptionSecurityEnvironment.Builder.queryParams(UriQuery queryParams) Add query parameters of the request.